#include <iostream.h>
#include <fstream.h>
#include <math.h>
#include <conio.h>
#pragma hdrstop

int main()
{
   char bufor[100];
   clrscr();
//--- tworzenie nowego pliku i zapis danych na dysk--------
   ofstream OutFile("nowy.dat");
   if (! OutFile)
     return 0;
   for (int i=0; i<=15; i++)
     OutFile << sin(i) << endl;
   OutFile.close();

//--- odczyt danych --------------------------------------
   ifstream InFile("nowy.dat");
   while (!InFile.eof()) {
     InFile.getline(bufor, sizeof(bufor));
     cout << bufor << endl;
   }
   InFile.close();

   getch();
   return 0;
}

